Search found 2598 matches

by Chris_G
Wed Nov 18, 2020 1:38 pm
Forum: Help on using FreeCAD
Topic: Curves workbench
Replies: 1839
Views: 443900

Re: Curves workbench

Info tools seems give the legth of the circle instead the arc length. Geom Info was first intended to display Geom etry info. But since I already added a couple of topolgy info in the text (tolerance, 2d curves), it make sense to also display edge length. It now display : Edge Length (+ Geometry cu...
by Chris_G
Wed Nov 18, 2020 7:08 am
Forum: Python scripting and macros
Topic: How to get base curve of an extruded surface?
Replies: 1
Views: 302

Re: How to get base curve of an extruded surface?

This was implemented in FC 0.19 , commit c532169
by Chris_G
Tue Nov 17, 2020 6:06 pm
Forum: Help on using FreeCAD
Topic: Curves workbench
Replies: 1839
Views: 443900

Re: Curves workbench

Indeed.
I just pushed a fix.
Thanks.
by Chris_G
Fri Nov 13, 2020 8:34 am
Forum: Python scripting and macros
Topic: not able to create face
Replies: 3
Views: 574

Re: not able to create face

That's how it is. Most surfaces cannot be parametrized in real world units. The parametric space of a surface is a rectangle. So, I think that only the surfaces that can be developed to a rectangle can be parametrized in real world units. Spheres, cones, torus cannot. Cylinder is a very special case...
by Chris_G
Thu Nov 12, 2020 2:37 pm
Forum: Python scripting and macros
Topic: not able to create face
Replies: 3
Views: 574

Re: not able to create face

Code: Select all

f.check(True)

# Traceback (most recent call last):
# File "<input>", line 1, in <module>
# ValueError: Self-intersecting wire
# Unorientable shape

f.validate()
f.check(True) # No output = good
Part.show(f)
by Chris_G
Mon Nov 09, 2020 9:04 am
Forum: Python scripting and macros
Topic: Moving Objects in Negative Directions
Replies: 24
Views: 2509

Re: Moving Objects in Negative Directions

I can move objects in both directions. No problem here.
Does this code really puts the cylinder in (0, 0, 1) ???

Code: Select all

obj = Part.makeCylinder(5,20)
p = FreeCAD.Placement()
p.move(FreeCAD.Vector(0, 0, -1))
obj.Placement = p
Part.show(obj)
by Chris_G
Sun Nov 08, 2020 2:41 pm
Forum: Developers corner
Topic: BSpline weight in information layer
Replies: 9
Views: 656

Re: BSpline weight in information layer

The idea was to use the same location computation for the Weight-text node, relative to the circle center, that is used for the Mult-text node, relative to the knot-point. And putting the weight text on the second line, puts it in a safe location, in case of a knot / pole coincidence. But it will st...
by Chris_G
Sun Nov 08, 2020 2:25 pm
Forum: Python scripting and macros
Topic: 'NoneType' object has no attribute 'hide' - Coped Tube Generation Script
Replies: 1
Views: 906

Re: 'NoneType' object has no attribute 'hide' - Coped Tube Generation Script

However, when I run this file with my python script through FreeCADCmd.exe, I get the following message: Exception while processing file: C:/FreeCADPrototype/tubegen.py ['NoneType' object has no attribute 'hide'] What does this error mean and how do I fix it? I think that Draft.Scale tries to hide ...
by Chris_G
Sun Nov 08, 2020 10:50 am
Forum: Developers corner
Topic: BSpline weight in information layer
Replies: 9
Views: 656

Re: BSpline weight in information layer

I am not that skillful with coin and generally struggle with these alignment issues. So maybe somebody has a good idea about how to best align these two pieces of information so that they do not interfere. A simple solution could be to put this text at the same location as the multiplicity, but on ...
by Chris_G
Wed Nov 04, 2020 1:27 pm
Forum: Open discussion
Topic: Model challenge: caster yoke
Replies: 31
Views: 4795

Re: Model challenge: caster yoke

You must select a face in the 3D view to call this tool.